Bug 165303 - Review Request: OpenSceneGraph
Review Request: OpenSceneGraph
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
David Lawrence
http://www.openscenegraph.org
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-07 07:02 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 12:11:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-07 07:02:33 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/OpenSceneGraph.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/OpenSceneGraph-0.9.9-1.src.rpm

Description:
The OpenSceneGraph is an OpenSource, cross platform graphics toolkit for the
development of high performance graphics applications such as flight
simulators, games, virtual reality and scientific visualization.
Based around the concept of a SceneGraph, it provides an object oriented
framework on top of OpenGL freeing the developer from implementing and
optimizing low level graphics calls, and provides many additional utilities
for rapid development of graphics applications.

Warning: Due to possibilities to test building on x86_64 or ppc, and due to oddities of this package's configuration, I do not expect this package to build on x86_64 or ppc.
Comment 1 Colin Charles 2005-08-07 20:32:55 EDT
+ It built on ppc32 just fine.

- What is OSLGPL as a license?

(this is by no means a complete review though the spec looks clean, it builds on
PPC, rpmlint throws up a few errors that don't look too important)
Comment 2 Ralf Corsepius 2005-08-08 02:17:19 EDT
(In reply to comment #1)
> + It built on ppc32 just fine.
Good, thanks. x86_64 probably is more troublesome :(

> - What is OSLGPL as a license?
A typo - This should have been OSGPL (OpenSceneGraph Public License).

It's their "LGPL + special exceptions" variant. Cf. OpenSceneGraph/LICENSE.txt
and Producer/LICENSE.txt.
Comment 3 Ralf Corsepius 2005-08-09 11:32:56 EDT
Update with minor fixes applied:
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/OpenSceneGraph.spec
SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/OpenSceneGraph-0.9.9-2.src.rpm
Comment 4 Michael Schwendt 2005-08-26 15:06:41 EDT
Not much to find:

* weak one-word description and summary for OpenThreads* packages
  and Producer* packages

* lots of C++ files which don't build with default RPM optflags,
  but just -O optimisation

* x86_64 X11 lib64->lib substitution is questionable
  in openscenegraph_0.9.9-5.diff.gz, probably needs to be reverted
  in the revdeb patch, too

* hardcoded ${exec_prefix}/lib in pkgconfig files most likely
  will cause install-time problems on x86_64

* Producer-devel pkgconfig file requires "openscenegraph"
  => I think that dependency is wrong

* OpenSceneGraph-devel pkgconfig requires "openthreads"
  => package is missing "Requires: OpenThreads-devel"

* OpenSceneGraph-examples package contains questionable empty directory
  /usr/share/OpenSceneGraph

* random examples run-time test:

$ osgforest
Warning: could not find file "Images/tree0.rgba"
Warning: font file "fonts/arial.ttf" not found.

Note You need to log in before you can comment on or make changes to this bug.